/* -------------------------------- body */

.body-font {
    font-family: 'Belanosima', sans-serif;
}

.title {
    margin: 30px;
}

.row-width {
    max-width: 800px;
    margin: auto;
}

/* -------------------------------- index buttons */

.game-btn {
    width: 200px;
    height: auto;
    text-decoration: none;
    padding: 5px;
    margin-top: 30px;
}

.game-btn button {
    border: 3px solid rgb(198, 116, 249);
    border-radius: 10px;
    text-decoration: none;
}

.game-btn button:hover {
    cursor: pointer;
    background-color: rgb(198, 116, 249);
    color: black;
    text-decoration: none; 
}

.game-btn img {
    height: 100px;
    width: 100px;
}

#game-btn {
    background-color: rgb(221, 166, 255);
}

#game-btn:hover {
    background-color: rgb(198, 116, 249);
}

.rps-text {
    margin-top: 5px;
    margin-bottom: 0;
    text-decoration: none;
}

.game-btn-container {
    width: 200px;
}

/* -------------------------------- Rock Paper Scissors */

.rps-colour {
    background-color: rgb(118, 225, 182);
}

.sub-title {
    font-size: x-large;
}

#user-choice,
#computer-choice,
#result {
    visibility: hidden;
    opacity: 0;
}

.comp-answer {
    margin-left: 200px;
}

.user-answer {
    margin-right: 200px;
}

.rps-icon {
    margin: 20px;
    height: 200px;
    width: auto;
    transition: transform 0.3s;
}

.rps-icon:hover {
    cursor: pointer;
    transform: scale(1.1);
}

.rps-icon:active {
    transform: scale(1);
}

.mobile-result {
    margin: 20px;
    display: none;
}

.comp-answer,
.user-answer,
.answers {
    margin: 0;
    padding-left: 10px;
}

.result-container {
    width: 400px;
    display: inline-block;
}

.choice-display p {
    font-weight: 300;
    font-size: 25px;
}

/* -------------------------------- Memory Game */

.memory-colour {
    background-color: rgb(245, 210, 149);
}

.game-container,
.score {
    padding: 10px;
}

.memory-row-width {
    max-width: 900px;
    margin: auto;
}

.game-container {
    perspective: 1000px;
}

.grid-item {
    width: 15%; 
    height: auto; 
    margin: 5px;
    transition: transform 1s ease;
    transform-style: preserve-3d;
    cursor: pointer;
    /* perspective: 1000px;
    backface-visibility: hidden;
    transform: rotateY(180deg); */
}

.pre-flip { 
    transform: rotateY(0deg);
}

.flipped {
    width: 15%; 
    height: auto;
    margin: 5px; 
    transition: transform 1s ease;
    transform-style: preserve-3d;
    cursor: pointer;
    /* perspective: 1000px; 
    transform: rotateY(180deg); */
}

.transparent {
    opacity: 0.5;
}

.alert-container {
    padding: 7px 10px 4px 10px;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    display: none;
}
  
.alert-box {
    height: 20px;
}

/* -------------------------------- Whac A Mole  */

.whac-colour {
    background-color: rgb(155, 164, 241);
}

.start-button {
    background-color: rgb(91, 100, 179);
    border: 2px solid #d8d8d8;
    border-radius: 5%;
    padding: 10px 15px;
    color: white;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    margin-bottom: 10px;
}

.start-button:hover {
    transform: scale(1.1);
}

.start-button:active {
    background-color: rgb(47, 53, 116);
    transform: scale(1);
}

.whac-row-width {
    margin: auto;
    max-width: 700px;
}

.whac-text {
    margin-left: 20px;
}

.whac-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 3 columns with equal width */
    gap: 10px; /* Adjust the gap between squares */
    padding: 20px;
    width: 600px;
    margin: auto;
}

.square {
    border: 3px solid #514030;
    border-radius: 5%;
    text-align: center;
    padding: 20px;
    background-color: rgb(218, 192, 157);
    width: 180px;
    height: 180px;
    position: relative;
}

.mole {
    max-width: 80%;
    height: auto;
    margin: 0 auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.visible-no {
    max-width: 80%;
    height: auto;
    margin: 0 auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    visibility: hidden;
}

.start-text {
    width: auto;
    height: auto;
    position: fixed; 
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    display: none;
    font-size: 60vh;
    z-index: 1;
}

/* -------------------------------- Break Out  */

.breakout-colour {
    background-color: #181818;
}

.break-title {
    color: white;
}

.score-text {
    color: white;
    padding-left: 30px;
    padding-bottom: 10px;
}

.breakout-start-button {
    background-color: rgb(39, 39, 39);
    border: 2px solid #d8d8d8;
    border-radius: 5%;
    padding: 10px 15px;
    color: white;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    margin-bottom: 10px;
}

.breakout-start-button:hover {
    background-color: rgb(84, 84, 84);
    transform: scale(1.1);
}

.breakout-start-button:active {
    background-color: rgb(39, 39, 39);
    transform: scale(1);
}

.change-orientation {
    color: white;
    text-align: center;
    margin: auto;
    display: none;
    padding: none;
}

.change-orientation img, p {
    max-width: 200px;
    height: auto;
    margin: auto;
}



.breakout-row-width {
    margin: auto;
    max-width: 800px;
}

.outer-grid {
    margin: auto;
    width: 750px;
    height: 350px;
}

.grid-container {
    margin: auto;
    width: 620px;
    height: 300px;
    border: solid black 1px;
}

.grid {
    position: absolute;
    width: 620px;
    height: 300px;
    background-color: #d8d8d8;
}

.block {
    position: absolute;
    width: 50px;
    height: 10px;
    background-color: rgb(170, 60, 60);
}

.user {
    position: absolute;
    width: 50px;
    height: 10px;
    background-color: rgb(16, 165, 181);
}

.ball {
    width: 10px;
    height: 10px;
    border-radius: 5px;
    background-color: black;
    position: absolute;
}

.fa-chevron-left {
    color: white;
    float: left;
    font-size: 30px;
    margin-right: 20px;
}

.fa-chevron-right {
    color: white;
    float: right;
    font-size: 30px;
    margin-left: 20px;
}

.arrows {
    display: none;
}

/* -------------------------------- Frogger  */

.frog-colour {
    background-color: #709a4d;
}

.frogger-row-width {
    max-width: 800px;
    margin: auto;
    text-align: center;}

.button-cont {
    height: 80px;
}

.frogger-button {
    background-color: rgb(208, 207, 207);
    border: 2px solid #1d4d23;
    border-radius: 5%;
    padding: 10px 15px;
    color: #014209;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    margin: 10px;
}

.frogger-button:hover {
    background-color: rgb(143, 185, 137);
    transform: scale(1.1);
    color: rgb(208, 207, 207);
}

.frogger-button:active {
    background-color: #014209;;
    transform: scale(1);
}

#pause-button {
    display: none;
    margin: auto;
}

.frogger-grid {
    border: 1px solid black;
    height: 180px;
    width: 360px;
    display: flex;
    flex-wrap: wrap;
    box-sizing: content-box;
    background-color: #d2d2d2;
    margin: auto;
}

.frogger-grid div {
    height: 20px;
    width: 40px;
}

.ending-block {
    background-color: aqua;
}

.starting-block {
    background-color: rgb(37, 5, 246);
}

/* .log-left, .log-right {
    background-color: bisque;
} */

/* .car-left, .car-right {
    background-color: #8a8988;
} */

.c1 {
    background-color: #181818;
}

.c2, .c3 {
    background-color: #8a8988;
}

.frog {
    background-color: #014209;
}

.l1, .l2, .l3 {
    background-color: brown;
}

.l4, .l5 {
    background-color: bisque;
}

/* -------------------------------- Modals  */


.game-modal,
.lose-game-modal {
    max-width: 500px;
    width: auto;
    height: auto;
    border: 6px solid #d8d8d8;
    position: absolute;
    padding-bottom: 20px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    display: none;
    animation:fadein 1s;
}

.modal-background,
.lose-modal-background {
    position:fixed;
    top:0;
    left:0;
    width:100vw;
    height:100vh;
    background-color:rgba(0,0,0,0.7);
    display: none;
    padding: 30px;
}

.win-modal-rps {
    background-color: rgb(56, 193, 138);
}

.lose-modal-rps {
    background-color: rgb(170, 60, 60);
}

.modal-mg {
    background-color: rgb(219, 169, 84);
    padding: 15px;
}

.whac-modal {
    background-color: rgb(91, 100, 179);
}

.breakout-modal {
    background-color: rgb(39, 39, 39);
}

.modal-score-text {
    padding-bottom: 10px;
}

.modal-icon {
    margin: 20px;
    height: 200px;
    width: auto;
}

/* -------------------------------- Media Queries */

@media (max-width: 768px) {
    .comp-answer {
        margin-left: 0;
    }
    
    .user-answer {
        margin-right: 0;
    }
    .rps-icon {
        margin: 10px;
        height: 150px;
        width: auto;
        transition: transform 0.3s;
    }
    .game-modal,
    .lose-game-modal {
        max-width: 300px;
        height: auto;
        padding-bottom: 20px !important;
    }

    .modal-icon {
        margin: 20px;
        height: 100px;
        width: auto;
    }

    .outer-grid {
        width: 600px;
        height: 300px;
    }

    .grid-container, .grid {
        width: 500px;
        height: 240px;
    }

    .block {
        width: 40px;
        height: 8px;
    }
    .user {
        width: 40px;
        height: 8px;
    }

}

@media (max-width: 665px) {
    .square {
        width: 150px;
        height: 150px;
    }
    .whac-grid {
        width: 500px;
    }
}

@media (max-width: 573px) {
    .rps-icon {
        margin: 0;
        height: 100px;
        width: auto;
        padding: 0;
        transition: transform 0.3s;
    }

    .choice-display {
        padding-bottom: 10px;
    }

    .choice-display p {
        font-weight:200;
        font-size: 20px;
    }
    
    .rps-icon:hover {
        cursor: pointer;
        transform: scale(1.2);
    }
    
    .rps-icon:active {
        transform: scale(1);
    }

    .sm-results {
        padding-top: 20px;
    }
    .grid-item {
        margin: 2px;
    }
    #alert {
        font-size: large;
    }
    .memory-row-width .sub-title {
        font-size: large;
    }
    .alert-box {
        height: 10px;
    }
    .score {
        font-size: large;
    }
    .square {
        width: 130px;
        height: 130px;
    }
    .whac-grid {
        width: 450px;
    }
    .outer-grid {
        width: 550px;
        height: 300px;
    }
}

@media (max-width: 485px) {
    .square {
        width: 130px;
        height: 130px;
    }
    .whac-grid {
        width: 400px;
        padding: 0;
    }
    
}

@media (max-width: 485px) {
    .square {
        width: 110px;
        height: 110px;
    }
    .whac-grid {
        width: 350px;
        padding: 0;
    }
}

@media (max-width: 400px) {
    .square {
        width: 100px;
        height: 100px;
    }
    .whac-grid {
        width: 325px;
        padding: 0;
    }
    .whac-text {
        margin-left: 10px;
    }
    
}

@media (max-width: 350px) {   
    .game-modal,
    .lose-game-modal {
        max-width: 275px;
        height: auto;
        padding-bottom: 20px !important;
    }
    .square {
        width: 90px;
        height: 90px;
    }
    .whac-grid {
        width: 300px;
        padding: 0;
    }
}

/* Breakout specifc for landscape mode and chevron controllers */
@media screen and (min-width: 480px) and (max-width: 1368px) and (min-height: 280px) and (max-height: 1024px) {
    .arrows {
        display: block;
    }

    .game-modal,
    .lose-game-modal {
        max-width: 350px;
        height: auto;
        padding-bottom: 20px !important;
    }
    .modal-icon {
        margin: 20px;
        height: 100px;
        width: auto;
    }
}